Index: FCKeditor/trunk/editor/filemanager/browser/default/browser.css
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/browser.css	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/browser.css	(revision 2913)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/browser/default/browser.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/browser.html	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/browser.html	(revision 2913)
@@ -3,5 +3,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmactualfolder.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmactualfolder.html	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmactualfolder.html	(revision 2913)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmcreatefolder.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmcreatefolder.html	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmcreatefolder.html	(revision 2913)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmfolders.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmfolders.html	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmfolders.html	(revision 2913)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmresourceslist.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmresourceslist.html	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmresourceslist.html	(revision 2913)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmresourcetype.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmresourcetype.html	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmresourcetype.html	(revision 2913)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmupload.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmupload.html	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmupload.html	(revision 2913)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/browser/default/js/common.js
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/js/common.js	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/js/common.js	(revision 2913)
@@ -1,5 +1,5 @@
 ﻿/*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/browser/default/js/fckxml.js
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/js/fckxml.js	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/browser/default/js/fckxml.js	(revision 2913)
@@ -1,5 +1,5 @@
 ﻿/*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/basexml.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/basexml.asp	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/basexml.asp	(revision 2913)
@@ -1,5 +1,5 @@
 ﻿<%
  ' FCKeditor - The text editor for Internet - http://www.fckeditor.net
- ' Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ ' Copyright (C) 2003-2009 Frederico Caldeira Knabben
  '
  ' == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/class_upload.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/class_upload.asp	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/class_upload.asp	(revision 2913)
@@ -1,5 +1,5 @@
 ﻿<%
  ' FCKeditor - The text editor for Internet - http://www.fckeditor.net
- ' Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ ' Copyright (C) 2003-2009 Frederico Caldeira Knabben
  '
  ' == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/commands.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/commands.asp	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/commands.asp	(revision 2913)
@@ -1,5 +1,5 @@
 ﻿<%
  ' FCKeditor - The text editor for Internet - http://www.fckeditor.net
- ' Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ ' Copyright (C) 2003-2009 Frederico Caldeira Knabben
  '
  ' == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp	(revision 2913)
@@ -1,5 +1,5 @@
 ﻿<%
  ' FCKeditor - The text editor for Internet - http://www.fckeditor.net
- ' Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ ' Copyright (C) 2003-2009 Frederico Caldeira Knabben
  '
  ' == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/connector.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/connector.asp	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/connector.asp	(revision 2913)
@@ -6,5 +6,5 @@
 <%
  ' FCKeditor - The text editor for Internet - http://www.fckeditor.net
- ' Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ ' Copyright (C) 2003-2009 Frederico Caldeira Knabben
  '
  ' == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/io.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/io.asp	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/io.asp	(revision 2913)
@@ -1,5 +1,5 @@
 ﻿<%
  ' FCKeditor - The text editor for Internet - http://www.fckeditor.net
- ' Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ ' Copyright (C) 2003-2009 Frederico Caldeira Knabben
  '
  ' == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/upload.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/upload.asp	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/upload.asp	(revision 2913)
@@ -6,5 +6,5 @@
 <%
  ' FCKeditor - The text editor for Internet - http://www.fckeditor.net
- ' Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ ' Copyright (C) 2003-2009 Frederico Caldeira Knabben
  '
  ' == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/util.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/util.asp	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/util.asp	(revision 2913)
@@ -1,5 +1,5 @@
 ﻿<%
  ' FCKeditor - The text editor for Internet - http://www.fckeditor.net
- ' Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ ' Copyright (C) 2003-2009 Frederico Caldeira Knabben
  '
  ' == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/aspx/config.ascx
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/aspx/config.ascx	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/aspx/config.ascx	(revision 2913)
@@ -2,5 +2,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/aspx/connector.aspx
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/aspx/connector.aspx	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/aspx/connector.aspx	(revision 2913)
@@ -3,5 +3,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/aspx/upload.aspx
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/aspx/upload.aspx	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/aspx/upload.aspx	(revision 2913)
@@ -3,5 +3,5 @@
 <%--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf5_connector.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf5_connector.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf5_connector.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf5_upload.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf5_upload.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf5_upload.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_basexml.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_basexml.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_basexml.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_commands.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_commands.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_commands.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_connector.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_connector.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_connector.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_io.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_io.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_io.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_upload.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_upload.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_upload.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_util.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_util.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_util.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/config.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/config.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/config.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/connector.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/connector.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/connector.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/upload.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/upload.cfm	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/upload.cfm	(revision 2913)
@@ -2,5 +2,5 @@
 <!---
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/lasso/config.lasso
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/lasso/config.lasso	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/lasso/config.lasso	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/lasso/connector.lasso
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/lasso/connector.lasso	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/lasso/connector.lasso	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/lasso/upload.lasso
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/lasso/upload.lasso	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/lasso/upload.lasso	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/basexml.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/basexml.pl	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/basexml.pl	(revision 2913)
@@ -1,5 +1,5 @@
 #####
 #  FCKeditor - The text editor for Internet - http://www.fckeditor.net
-#  Copyright (C) 2003-2008 Frederico Caldeira Knabben
+#  Copyright (C) 2003-2009 Frederico Caldeira Knabben
 #
 #  == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/commands.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/commands.pl	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/commands.pl	(revision 2913)
@@ -1,5 +1,5 @@
 #####
 #  FCKeditor - The text editor for Internet - http://www.fckeditor.net
-#  Copyright (C) 2003-2008 Frederico Caldeira Knabben
+#  Copyright (C) 2003-2009 Frederico Caldeira Knabben
 #
 #  == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/connector.cgi
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/connector.cgi	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/connector.cgi	(revision 2913)
@@ -3,5 +3,5 @@
 #####
 #  FCKeditor - The text editor for Internet - http://www.fckeditor.net
-#  Copyright (C) 2003-2008 Frederico Caldeira Knabben
+#  Copyright (C) 2003-2009 Frederico Caldeira Knabben
 #
 #  == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/io.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/io.pl	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/io.pl	(revision 2913)
@@ -1,5 +1,5 @@
 #####
 #  FCKeditor - The text editor for Internet - http://www.fckeditor.net
-#  Copyright (C) 2003-2008 Frederico Caldeira Knabben
+#  Copyright (C) 2003-2009 Frederico Caldeira Knabben
 #
 #  == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/upload.cgi
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/upload.cgi	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/upload.cgi	(revision 2913)
@@ -3,5 +3,5 @@
 #####
 #  FCKeditor - The text editor for Internet - http://www.fckeditor.net
-#  Copyright (C) 2003-2008 Frederico Caldeira Knabben
+#  Copyright (C) 2003-2009 Frederico Caldeira Knabben
 #
 #  == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/upload_fck.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/upload_fck.pl	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/upload_fck.pl	(revision 2913)
@@ -1,5 +1,5 @@
 #####
 #  FCKeditor - The text editor for Internet - http://www.fckeditor.net
-#  Copyright (C) 2003-2008 Frederico Caldeira Knabben
+#  Copyright (C) 2003-2009 Frederico Caldeira Knabben
 #
 #  == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/util.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/util.pl	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/util.pl	(revision 2913)
@@ -1,5 +1,5 @@
 #####
 #  FCKeditor - The text editor for Internet - http://www.fckeditor.net
-#  Copyright (C) 2003-2008 Frederico Caldeira Knabben
+#  Copyright (C) 2003-2009 Frederico Caldeira Knabben
 #
 #  == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/php/basexml.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/basexml.php	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/basexml.php	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/php/commands.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/commands.php	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/commands.php	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/php/config.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/config.php	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/config.php	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/php/connector.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/connector.php	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/connector.php	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/php/io.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/io.php	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/io.php	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/php/upload.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/upload.php	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/upload.php	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/php/util.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/util.php	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/util.php	(revision 2913)
@@ -2,5 +2,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/py/config.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/config.py	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/config.py	(revision 2913)
@@ -2,5 +2,5 @@
 """
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/py/connector.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/connector.py	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/connector.py	(revision 2913)
@@ -3,5 +3,5 @@
 """
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2008 Frederico Caldeira Knabben
+Copyright (C) 2003-2009 Frederico Caldeira Knabben
 
 == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/py/fckcommands.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/fckcommands.py	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/fckcommands.py	(revision 2913)
@@ -3,5 +3,5 @@
 """
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2008 Frederico Caldeira Knabben
+Copyright (C) 2003-2009 Frederico Caldeira Knabben
 
 == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/py/fckconnector.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/fckconnector.py	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/fckconnector.py	(revision 2913)
@@ -3,5 +3,5 @@
 """
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2008 Frederico Caldeira Knabben
+Copyright (C) 2003-2009 Frederico Caldeira Knabben
 
 == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/py/fckoutput.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/fckoutput.py	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/fckoutput.py	(revision 2913)
@@ -3,5 +3,5 @@
 """
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2008 Frederico Caldeira Knabben
+Copyright (C) 2003-2009 Frederico Caldeira Knabben
 
 == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/py/fckutil.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/fckutil.py	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/fckutil.py	(revision 2913)
@@ -3,5 +3,5 @@
 """
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2008 Frederico Caldeira Knabben
+Copyright (C) 2003-2009 Frederico Caldeira Knabben
 
 == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/py/upload.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/upload.py	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/upload.py	(revision 2913)
@@ -3,5 +3,5 @@
 """
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2008 Frederico Caldeira Knabben
+Copyright (C) 2003-2009 Frederico Caldeira Knabben
 
 == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/py/wsgi.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/wsgi.py	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/wsgi.py	(revision 2913)
@@ -3,5 +3,5 @@
 """
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2008 Frederico Caldeira Knabben
+Copyright (C) 2003-2009 Frederico Caldeira Knabben
 
 == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/py/zope.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/zope.py	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/zope.py	(revision 2913)
@@ -3,5 +3,5 @@
 """
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2008 Frederico Caldeira Knabben
+Copyright (C) 2003-2009 Frederico Caldeira Knabben
 
 == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/test.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/test.html	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/test.html	(revision 2913)
@@ -1,5 +1,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==
Index: FCKeditor/trunk/editor/filemanager/connectors/uploadtest.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/uploadtest.html	(revision 2601)
+++ FCKeditor/trunk/editor/filemanager/connectors/uploadtest.html	(revision 2913)
@@ -1,5 +1,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==