Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedMessages.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedMessages.java	(revision 2926)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedMessages.java	(revision 2927)
@@ -21,4 +21,6 @@
 package net.fckeditor.handlers;
 
+import java.io.BufferedInputStream;
+import java.io.InputStream;
 import java.text.MessageFormat;
 import java.util.Enumeration;
@@ -48,4 +50,7 @@
 
 	private static Map<Locale, LocalizedMessages> prototypes = new HashMap<Locale, LocalizedMessages>();
+	private static final String DEFAULT_FILENAME = "default_messages.properties";
+	private static final String LOCAL_PROPERTIES = "fckeditor_messages";
+	private static Properties defaultProperties = new Properties();
 	private Properties properties;
 	private static LocaleResolver localeResolver;
@@ -54,4 +59,28 @@
 			.getLogger(LocalizedMessages.class);
 
+	static {
+
+		InputStream in = LocalizedMessages.class
+				.getResourceAsStream(DEFAULT_FILENAME);
+
+		if (in == null) {
+			logger.error("default_messages.properties not found");
+			throw new RuntimeException("default_messages.properties not found");
+		} else {
+			if (!(in instanceof BufferedInputStream))
+				in = new BufferedInputStream(in);
+
+			try {
+				defaultProperties.load(in);
+				in.close();
+				logger.debug("default_messages.properties loaded");
+			} catch (Exception e) {
+				logger.error("Error while processing default_messages.properties");
+				throw new RuntimeException("Error while processing default_messages.properties", e);
+			}
+		}
+	}
+	
+	
 	/**
 	 * This method return an instance of this class for the given locale.
@@ -106,5 +135,5 @@
 		return localeResolver;
 	}
-
+	
 	/**
 	 * Loads the default strings and the string for the given locale and only
@@ -118,5 +147,5 @@
 		ResourceBundle rb = null;
 		try {
-			rb = ResourceBundle.getBundle("fckeditor", locale, Thread
+			rb = ResourceBundle.getBundle(LOCAL_PROPERTIES, locale, Thread
 					.currentThread().getContextClassLoader());
 		} catch (Exception e) {
@@ -124,5 +153,5 @@
 		}
 
-		this.properties = new Properties(PropertiesLoader.getProperties());
+		properties = new Properties(defaultProperties);
 
 		if (rb != null
@@ -143,23 +172,23 @@
 
 	/**
-	 * Getter for localized <code>message.editor.compatibleBrowser.yes</code> property
+	 * Getter for localized <code>editor.compatibleBrowser.yes</code> property
 	 * 
 	 * @return CompatibleBrowserYes
 	 */
 	public String getCompatibleBrowserYes() {
-		return getString("message.editor.compatibleBrowser.yes");
-	}
-
-	/**
-	 * Getter for localized <code>message.editor.compatibleBrowser.no</code> property
+		return getString("editor.compatibleBrowser.yes");
+	}
+
+	/**
+	 * Getter for localized <code>editor.compatibleBrowser.no</code> property
 	 * 
 	 * @return CompatibleBrowserNo
 	 */
 	public String getCompatibleBrowserNo() {
-		return getString("message.editor.compatibleBrowser.no");
-	}
-
-	/**
-	 * Getter for localized <code>message.connector.fileUpload.enabled</code>
+		return getString("editor.compatibleBrowser.no");
+	}
+
+	/**
+	 * Getter for localized <code>connector.fileUpload.enabled</code>
 	 * property
 	 * 
@@ -167,9 +196,9 @@
 	 */
 	public String getFileUploadEnabled() {
-		return getString("message.connector.fileUpload.enabled");
-	}
-
-	/**
-	 * Getter for localized <code>message.connector.fileUpload.disabled</code>
+		return getString("connector.fileUpload.enabled");
+	}
+
+	/**
+	 * Getter for localized <code>connector.fileUpload.disabled</code>
 	 * property
 	 * 
@@ -177,9 +206,9 @@
 	 */
 	public String getFileUploadDisabled() {
-		return getString("message.connector.fileUpload.disabled");
-	}
-	
-	/**
-	 * Getter for localized <code>message.connector.file_renamed_warning</code>
+		return getString("connector.fileUpload.disabled");
+	}
+	
+	/**
+	 * Getter for localized <code>connector.file_renamed_warning</code>
 	 * property
 	 * 
@@ -189,10 +218,10 @@
 	public String getFileRenamedWarning(String newFileName) {
 		return MessageFormat.format(
-				getString("message.connector.fileUpload.file_renamed_warning"),
+				getString("connector.fileUpload.file_renamed_warning"),
 				newFileName);
 	}
 	
 	/**
-	 * Getter for localized <code>message.connector.fileUpload.invalid_file_type_specified</code>
+	 * Getter for localized <code>connector.fileUpload.invalid_file_type_specified</code>
 	 * property
 	 * 
@@ -200,19 +229,19 @@
 	 */
 	public String getInvalidFileTypeSpecified() {
-		return getString("message.connector.fileUpload.invalid_file_type_specified");
-	}
-	
-	/**
-	 * Getter for localized
-	 * <code>message.connector.fileUpload.write_error</code> property
+		return getString("connector.fileUpload.invalid_file_type_specified");
+	}
+	
+	/**
+	 * Getter for localized
+	 * <code>connector.fileUpload.write_error</code> property
 	 * 
 	 * @return FileUploadWiteError
 	 */
 	public String getFileUploadWriteError() {
-		return getString("message.connector.fileUpload.write_error");
-	}
-
-	/**
-	 * Getter for localized <code>message.connector.getResources.enabled</code>
+		return getString("connector.fileUpload.write_error");
+	}
+
+	/**
+	 * Getter for localized <code>connector.getResources.enabled</code>
 	 * property
 	 * 
@@ -220,9 +249,9 @@
 	 */
 	public String getGetResourcesEnabled() {
-		return getString("message.connector.getResources.enabled");
-	}
-
-	/**
-	 * Getter for localized <code>message.connector.getResources.disabled</code>
+		return getString("connector.getResources.enabled");
+	}
+
+	/**
+	 * Getter for localized <code>connector.getResources.disabled</code>
 	 * property
 	 * 
@@ -230,9 +259,9 @@
 	 */
 	public String getGetResourcesDisabled() {
-		return getString("message.connector.getResources.disabled");
-	}
-	
-	/**
-	 * Getter for localized <code>message.connector.getResources.read_error</code>
+		return getString("connector.getResources.disabled");
+	}
+	
+	/**
+	 * Getter for localized <code>connector.getResources.read_error</code>
 	 * property
 	 * 
@@ -240,85 +269,85 @@
 	 */
 	public String getGetResourcesReadError() {
-		return getString("message.connector.getResources.read_error");
-	}
-
-	/**
-	 * Getter for localized
-	 * <code>message.connector.createFolder.enabled</code> property
+		return getString("connector.getResources.read_error");
+	}
+
+	/**
+	 * Getter for localized
+	 * <code>connector.createFolder.enabled</code> property
 	 * 
 	 * @return FolderCreationEnabled
 	 */
 	public String getCreateFolderEnabled() {
-		return getString("message.connector.createFolder.enabled");
-	}
-
-	/**
-	 * Getter for localized
-	 * <code>message.connector.createFolder.disabled</code> property
+		return getString("connector.createFolder.enabled");
+	}
+
+	/**
+	 * Getter for localized
+	 * <code>connector.createFolder.disabled</code> property
 	 * 
 	 * @return FolderCreationDisabled
 	 */
 	public String getCreateFolderDisabled() {
-		return getString("message.connector.createFolder.disabled");
-	}
-
-	/**
-	 * Getter for localized
-	 * <code>message.connector.invalid_command_specified</code> property
+		return getString("connector.createFolder.disabled");
+	}
+
+	/**
+	 * Getter for localized
+	 * <code>connector.invalid_command_specified</code> property
 	 * 
 	 * @return InvalidCommandSpecified
 	 */
 	public String getInvalidCommandSpecified() {
-		return getString("message.connector.invalid_command_specified");
-	}
-	
-	/**
-	 * Getter for localized
-	 * <code>message.connector.createFolder.folder_already_exists_error</code> property
+		return getString("connector.invalid_command_specified");
+	}
+	
+	/**
+	 * Getter for localized
+	 * <code>connector.createFolder.folder_already_exists_error</code> property
 	 * 
 	 * @return FolderAlreadyExistsError
 	 */
 	public String getFolderAlreadyExistsError() {
-		return getString("message.connector.createFolder.folder_already_exists_error");
-	}
-	
-	/**
-	 * Getter for localized
-	 * <code>message.connector.createFolder.invalid_new_folder_name_specified</code> property
+		return getString("connector.createFolder.folder_already_exists_error");
+	}
+	
+	/**
+	 * Getter for localized
+	 * <code>connector.createFolder.invalid_new_folder_name_specified</code> property
 	 * 
 	 * @return InvalidNewFolderNameSpecified
 	 */
 	public String getInvalidNewFolderNameSpecified() {
-		return getString("message.connector.createFolder.invalid_new_folder_name_specified");
-	}
-	
-	/**
-	 * Getter for localized
-	 * <code>message.connector.createFolder.write_error</code> property
+		return getString("connector.createFolder.invalid_new_folder_name_specified");
+	}
+	
+	/**
+	 * Getter for localized
+	 * <code>connector.createFolder.write_error</code> property
 	 * 
 	 * @return CreateFolderWriteError
 	 */
 	public String getCreateFolderWriteError() {
-		return getString("message.connector.createFolder.write_error");
-	}
-
-	/**
-	 * Getter for localized
-	 * <code>message.connector.invalid_resource_type_specified</code> property
+		return getString("connector.createFolder.write_error");
+	}
+
+	/**
+	 * Getter for localized
+	 * <code>connector.invalid_resource_type_specified</code> property
 	 * 
 	 * @return InvalidTypeSpecified
 	 */
 	public String getInvalidResouceTypeSpecified() {
-		return getString("message.connector.invalid_resource_type_specified");
-	}
-
-	/**
-	 * Getter for localized
-	 * <code>message.connector.invalid_current_folder_specified</code> property
+		return getString("connector.invalid_resource_type_specified");
+	}
+
+	/**
+	 * Getter for localized
+	 * <code>connector.invalid_current_folder_specified</code> property
 	 * 
 	 * @return InvalidCurrentFolderSpecified
 	 */
 	public String getInvalidCurrentFolderSpecified() {
-		return getString("message.connector.invalid_current_folder_specified");
+		return getString("connector.invalid_current_folder_specified");
 	}
 
Index: FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default.properties
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default.properties	(revision 2926)
+++ FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default.properties	(revision 2927)
@@ -65,23 +65,2 @@
 connector.userPathBuilderImpl = net.fckeditor.requestcycle.impl.ContextPathBuilder
 localization.localeResolverImpl = net.fckeditor.localization.impl.AcceptLanguageHeaderResolver
-
-# default messages (localizable)
-message.editor.compatibleBrowser.no = Your browser is not compatible
-message.editor.compatibleBrowser.yes = Your browser is fully compatible
-
-message.connector.fileUpload.disabled = You are not authorized to upload files!
-message.connector.fileUpload.enabled = You are authorized to upload files!
-message.connector.fileUpload.file_renamed_warning = Your file was uploaded successfully but has been renamed to \\''{0}\\''.
-message.connector.fileUpload.invalid_file_type_specified = The uploaded has a wrong file type (extension).
-message.connector.fileUpload.write_error = The specified file could not be uploaded successfully, please try again!
-message.connector.getResources.disabled = You are not authorized to browse/list files and/or folders!
-message.connector.getResources.enabled = You are authorized to browse/list files and/or folders!
-message.connector.getResources.read_error = The selected resources could not be read successfully, please try again!
-message.connector.createFolder.disabled = You are not authorized to create folders!
-message.connector.createFolder.enabled = You are authorized to create folders!
-message.connector.createFolder.invalid_new_folder_name_specified = Invalid new folder name specified
-message.connector.createFolder.folder_already_exists_error = The specified folder already exists
-message.connector.createFolder.write_error = The specified folder could not be created successfully, please try again!
-message.connector.invalid_command_specified = Invalid command specified
-message.connector.invalid_resource_type_specified = Invalid resource type specified
-message.connector.invalid_current_folder_specified = Invalid current folder specified
Index: FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default_messages.properties
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default_messages.properties	(revision 2927)
+++ FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default_messages.properties	(revision 2927)
@@ -0,0 +1,43 @@
+#
+# FCKeditor - The text editor for Internet - http://www.fckeditor.net
+# Copyright (C) 2004-2009 Frederico Caldeira Knabben
+#
+# == BEGIN LICENSE ==
+#
+# Licensed under the terms of any of the following licenses at your
+# choice:
+#
+#  - GNU General Public License Version 2 or later (the "GPL")
+#    http://www.gnu.org/licenses/gpl.html
+#
+#  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+#    http://www.gnu.org/licenses/lgpl.html
+#
+#  - Mozilla Public License Version 1.1 or later (the "MPL")
+#    http://www.mozilla.org/MPL/MPL-1.1.html
+#
+# == END LICENSE ==
+#
+# Default messages for FCKeditor.Java
+#
+# @version $Id$
+
+editor.compatibleBrowser.no = Your browser is not compatible
+editor.compatibleBrowser.yes = Your browser is fully compatible
+
+connector.fileUpload.disabled = You are not authorized to upload files!
+connector.fileUpload.enabled = You are authorized to upload files!
+connector.fileUpload.file_renamed_warning = Your file was uploaded successfully but has been renamed to \\''{0}\\''.
+connector.fileUpload.invalid_file_type_specified = The uploaded has a wrong file type (extension).
+connector.fileUpload.write_error = The specified file could not be uploaded successfully, please try again!
+connector.getResources.disabled = You are not authorized to browse/list files and/or folders!
+connector.getResources.enabled = You are authorized to browse/list files and/or folders!
+connector.getResources.read_error = The selected resources could not be read successfully, please try again!
+connector.createFolder.disabled = You are not authorized to create folders!
+connector.createFolder.enabled = You are authorized to create folders!
+connector.createFolder.invalid_new_folder_name_specified = Invalid new folder name specified
+connector.createFolder.folder_already_exists_error = The specified folder already exists
+connector.createFolder.write_error = The specified folder could not be created successfully, please try again!
+connector.invalid_command_specified = Invalid command specified
+connector.invalid_resource_type_specified = Invalid resource type specified
+connector.invalid_current_folder_specified = Invalid current folder specified