Index: FCKeditor.Java/trunk/src/site/apt/localization.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2927)
+++ FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2928)
@@ -72,13 +72,67 @@
 +------------------------------------------------------------------------------+
 
-* The strings
+* The messages
 
-    [Hint:] The resolver system is fail-safe concerning localized string retrieval.
-            This means that if a localized string cannot be found, the default
-            string will be used.
+    [Hint:] The resolver system is fail-safe concerning localized message retrieval.
+            This means that if a localized message cannot be found, the default
+            message will be used by default.
 
-  Each responded string can be localized on a global basis and on a per-locale basis.
-  Put your globally localized strings in your <<<fckeditor.properties>>> and your
-  per-locale localized strings in a <<<fckeditor_\<locale\>.properties>>> file.
-  See the Localization chapter of the {{{properties.html}Configuration}} for a
-  string reference.
+  Each responded message can be localized on a global basis and on a per-locale basis.
+  Put your globally localized strings in a <<<fckeditor_messages.properties>>>
+  and your per-locale localized strings in a <<<fckeditor_messages_\<locale\>.properties>>>
+  file.
+
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+|| Property							|| Default									|| Valid Values	|| Description                                     ||
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| editor.compatibleBrowser.yes		| Your browser is fully compatible			| any string	| Indicates that the browser is fully compatible.	|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| editor.compatibleBrowser.no		| Your browser is not compatible			| any string	| Indicates that the browser is not compatible.		|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.						| Invalid command specified					| any string	| The provided command was invalid/does not exist.	|
+| invalid_command_specified			|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.						| Invalid resource type specified			| any string	| The provided type was invalid/does not exist.		|
+| invalid_resource_type_specified	|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.						| Invalid current folder specified			| any string	| The provided current folder was invalid/does		|
+| invalid_current_folder_specified	|											|				| not exist.										|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.getResources.enabled	| You are authorized to browse/list			| any string	| Responds the user can browse/list files			|
+|									| files and/or folders!						|				| and/or folders.									|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.getResources.disabled	| You are not authorized to browse/list		| any string	| Responds the user cannot browse/list files		|
+|									| files and/or folders!						|				| and/or folders.									|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.getResources.read_error	| The selected resources could not			| any string	| Responds the user that during fetching the		|
+|									| be read successfully, please try again!	|				| resources list some error/exception has occured.	|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.createFolder.enabled	| You are authorized to create folders!		| any string	| Responds the user can create folders.				|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.createFolder.disabled	| You are not authorized to create folders!	| any string	| Responds the user cannot create folders.			|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.createFolder.			| Invalid new folder name specified			| any string	| The provided new folder name was invalid.			|
+| invalid_new_folder_name_specified	|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.createFolder.			| The specified folder already exists		| any string	| The specified folder already exists on the		|
+| folder_already_exists_error		|											|				| server.											|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.						| The specified folder could not			| any string	| Responds the user that during creating the		|
+| createFolder.write_error			| be created successfully, please try again!|				| folder some error/exception has occured.			|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.fileUpload.enabled		| You are authorized to upload files!		| any string	| Responds the user can upload files.				|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.fileUpload.disabled		| You are not authorized to upload files!	| any string	| Responds the user cannot upload files.			|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.fileUpload.				| Your file was uploaded successfully		| any string	| Warns the user about a successful upload			|
+| file_renamed_warning				| but has been renamed to '\{0\}'.			| \{0\} - new filename| but file has been renamed because another	|
+|									|											|				| file exists with the same name.					|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.fileUpload.				| The uploaded has a wrong file type		| any string	| Warns the user about the uploaded file has		|
+| invalid_file_type_specified		| (extension).								|				| a file type (extension) which does not			|
+|									|											|				| correspond to the resource type's					|
+|									|											|				|  allowed/denied list.								|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| connector.fileUpload.write_error	| The specified file could not be			| any string	| Responds the user that during file upload			|
+|									| uploaded successfully, please try again!	|				| some error/exception has occured.					|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
Index: FCKeditor.Java/trunk/src/site/apt/properties.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2927)
+++ FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2928)
@@ -151,6 +151,6 @@
 * Localization
 
-  This section shows all messages which are responded to the user and can be
-  localized. See {{{localization.html}Localization}} for more details.
+  You can make the integration pack locale-aware by defining a locale resolver.
+  See {{{localization.html}Localization}} for more details.
 
 *-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
@@ -161,61 +161,2 @@
 |									|											| implementation|													|
 *-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.editor.					| Your browser is fully compatible			| any string	| Indicates that the browser is fully compatible.	|
-| compatibleBrowser.yes				|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.editor.					| Your browser is not compatible			| any string	| Indicates that the browser is not compatible.		|
-| compatibleBrowser.no				|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| Invalid command specified					| any string	| The provided command was invalid/does not exist.	|
-| invalid_command_specified			|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| Invalid resource type specified			| any string	| The provided type was invalid/does not exist.		|
-| invalid_resource_type_specified	|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| Invalid current folder specified			| any string	| The provided current folder was invalid/does		|
-| invalid_current_folder_specified	|											|				| not exist.										|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| You are authorized to browse/list			| any string	| Responds the user can browse/list files			|
-| getResources.enabled				| files and/or folders!						|				| and/or folders.									|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| You are not authorized to browse/list		| any string	| Responds the user cannot browse/list files		|
-| getResources.disabled				| files and/or folders!						|				| and/or folders.									|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| The selected resources could not			| any string	| Responds the user that during fetching the		|
-| getResources.read_error			| be read successfully, please try again!	|				| resources list some error/exception has occured.	|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| You are authorized to create folders!		| any string	| Responds the user can create folders.				|
-| createFolder.enabled				|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| You are not authorized to create folders!	| any string	| Responds the user cannot create folders.			|
-| createFolder.disabled				|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| Invalid new folder name specified			| any string	| The provided new folder name was invalid.			|
-| createFolder.invalid_new_folder_	|											|				|													|
-| name_specified					|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| The specified folder already exists		| any string	| The specified folder already exists on the		|
-| createFolder.folder_already_		|											|				| server.											|
-| exists_error						|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| The specified folder could not			| any string	| Responds the user that during creating the		|
-| createFolder.write_error			| be created successfully, please try again!|				| folder some error/exception has occured.			|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.fileUpload.		| You are authorized to upload files!		| any string	| Responds the user can upload files.				|
-| enabled							|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.fileUpload.		| You are not authorized to upload files!	| any string	| Responds the user cannot upload files.			|
-| disabled							|											|				|													|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.fileUpload.		| Your file was uploaded successfully		| any string	| Warns the user about a successful upload			|
-| file_renamed_warning				| but has been renamed to '\{0\}'.			| \{0\} - new filename| but file has been renamed because another	|
-|									|											|				| file exists with the same name.					|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.fileUpload.		| The uploaded has a wrong file type		| any string	| Warns the user about the uploaded file has		|
-| invalid_file_type_specified		| (extension).								|				| a file type (extension) which does not			|
-|									|											|				| correspond to the resource type's					|
-|									|											|				|  allowed/denied list.								|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| message.connector.				| The specified file could not be			| any string	| Responds the user that during file upload			|
-| fileUpload.write_error			| uploaded successfully, please try again!	|				| some error/exception has occured.					|
-*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+