Index: CKEditor/branches/prototype/_source/core/config.js
===================================================================
--- CKEditor/branches/prototype/_source/core/config.js	(revision 2924)
+++ CKEditor/branches/prototype/_source/core/config.js	(revision 2938)
@@ -182,265 +182,6 @@
 	 * config.basePopupZIndex = 2000
 	 */
-	basePopupZIndex : 10000,
+	basePopupZIndex : 10000
 
-	/**
-	 * The color of the dialog background cover. It should be a valid CSS color string.
-	 * @type String
-	 * @default white
-	 * @example
-	 * config.backgroundCoverColor = 'rgb(255, 254, 253)';
-	 */
-	backgroundCoverColor : 'white',
-
-	/**
-	 * The opacity of the dialog background cover. It should be a number within the range [0.0, 1.0].
-	 * @type Number
-	 * @default 0.5
-	 * @example
-	 * config.backgroundCoverOpacity = 0.7;
-	 */
-	backgroundCoverOpacity : 0.5,
-
-	/**
-	 * The distance of magnetic borders used in moving and resizing dialogs, measured in pixels.
-	 * @type Number
-	 * @default 20
-	 * @example
-	 * config.magnetic = 30;
-	 */
-	magnetDistance : 20,
-
-
-	pluginConfig :
-	{
-		image :		//Image Dialog and Image button Dialog.
-		{
-			/**
-			 * Show Upload tab.
-			 * @type Boolean
-			 * @default true
-			 */
-			uploadTab : true,
-
-			/**
-			 * Show Browse Server button.
-			 * @type Boolean
-			 * @default true
-			 */
-			browseServer : true,
-
-			/**
-			 * Upload action attribute.
-			 * @type URL
-			 */
-			uploadAction : 'nowhere.php',
-
-			/**
-			 * Show Image preview in the Image Dialog.
-			 * @type Boolean
-			 * @default true
-			 */
-			showPreview : true,
-			showAdvancedTab : true,
-			removeLinkByEmptyURL : true,
-
-			/**
-			 * Startup values
-			 * @type Text
-			 * @default ''
-			 */
-			defaultValues :
-			{
-				alt : '',
-				border : '',
-				hSpace : '',
-				vSpace : '',
-				title : '',
-				classes : '',
-				align : '',
-				style : '',
-				langCode : '',
-				langDir : '',
-
-				/**
-				 * Default Link value.
-				 * @type Text
-				 * @default ''
-				 * @example
-				 * link : './show_gallery.html',
-				 */
-				link : '',
-				target : ''
-			}
-		},
-		link :
-		{
-			uploadTab : true,
-			browseServer : true,
-			uploadAction : 'nowhere.php',
-			showAdvancedTab : true,
-			showTargetTab : true,
-			defaultValues :
-			{
-				/**
-				 * Startup values
-				 * @type Text
-				 * @default ''
-				 */
-				linkType : 'url',
-				protocol : 'http://',
-				target : 'notSet',
-				targetFrameName : '',
-				title : '',
-				type : '',
-				classes : '',
-				langDir : '',
-				langCode : '',
-				charset : '',
-				style : ''
-			}
-		},
-		forms :
-		{
-			defaultValues :
-			{
-				formAction : '',
-				formEncoding : 'text/plain',
-				formTarget : '',
-				formMethod : 'GET',
-				textfieldWidth : '',
-				textfieldMaxChars : '',
-				textfieldType : 'text',
-				textareaCols : '',
-				textareaRows : '',
-				selectSize : '',
-				buttonType : 'button'
-			}
-		},
-		smiley :
-		{
-			// TODO: update descriptions, fix coding style.
-			/**
-			 * List of smiley images displayed in the Smiley dialog.
-			 * @type Array
-			 * @default ['regular_smile.gif','sad_smile.gif','wink_smile.gif','teeth_smile.gif','confused_smile.gif','tounge_smile.gif','embaressed_smile.gif','omg_smile.gif','whatchutalkingabout_smile.gif','angry_smile.gif','angel_smile.gif','shades_smile.gif','devil_smile.gif','cry_smile.gif','lightbulb.gif','thumbs_down.gif','thumbs_up.gif','heart.gif','broken_heart.gif','kiss.gif','envelope.gif']
-			 * @example
-			 * config.smileyImages = [ 'tounge.gif', 'smile.gif', 'laugh.gif' ];
-			 */
-			images : [ 'regular_smile.gif','sad_smile.gif','wink_smile.gif','teeth_smile.gif','confused_smile.gif','tounge_smile.gif',
-			'embaressed_smile.gif','omg_smile.gif','whatchutalkingabout_smile.gif','angry_smile.gif','angel_smile.gif','shades_smile.gif',
-			'devil_smile.gif','cry_smile.gif','lightbulb.gif','thumbs_down.gif','thumbs_up.gif','heart.gif',
-			'broken_heart.gif','kiss.gif','envelope.gif'],
-			descriptions : [ ':)', ':(', ';)', ':D', ':/', ':P',
-			'', '', '', '', '', '',
-			'', ';(', '', '', '', '',
-			':kiss', '', ],
-
-			//TODO: update path
-			path : CKEDITOR.basePath +  '_source/plugins/smiley/images/',
-			windowWidth : 320,
-			windowHeight : 210,
-			columns : 8
-		},
-		flash :
-		{
-			uploadTab : true,
-			uploadAction : 'nowhere.php',
-			browseServer : true,
-			showAdvancedTab : true,
-			showPropertiesTab : true,
-
-			/**
-			 * Save as EMBED tag only. This tag is unrecommended.
-			 * @type Boolean
-			 * @default false
-			 */
-			embedTagOnly : false,
-
-			/**
-			 * Add EMBED tag as alternative: &lt;object&gt&lt;embed&gt&lt;/embed&gt&lt;/object&gt
-			 * @type Boolean
-			 * @default false
-			 */
-			addEmbedTag : true,
-
-			/**
-			 * Use embedTagOnly and addEmbedTag values on edit.
-			 * @type Boolean
-			 * @default false
-			 */
-			convertOnEdit : false,
-
-			defaultValues :
-			{
-				access :	'',
-				width :		'',
-				height :	'',
-				hSpace :	'',
-				vSpace :	'',
-				cssClass :	'',
-				cssStyle :	'',
-				bgcolor :	'',
-				title :		'',
-				loop :		'true',
-				play :		'true',
-				menu :		'true',
-				align :		'',
-				quality :	'high',
-				scale :		'',
-				flashvars :	'',
-				allowfullscreen:'',
-				windowMode :	''
-			}
-		},
-		table :
-		{
-			defaultValues :
-			{
-				rows :		'3',
-				columns :	'2',
-				border :	'1',
-				align :		'',
-				width :		'200',
-				widthType :	'pixels',
-				height :	'',
-				caption :	'',
-				summary :	'',
-				cellspacing :	'1',
-				cellpadding :	'1'
-			}
-		},
-		newPage :
-		{
-			confirmation : true,
-			resetToStartupContent : false,
-			newPageContent : ''
-		},
-		pagebreak :
-		{
-			/**
-			 * Limit of PageBreakes
-			 * @type Number | Boolean
-			 * @default 'false'
-			 * @example
-			 * // Only 1 PageBreak (2 pages):
-			 * pageBreakeLimit : 1
-			 * // Don't limit
-			 * pageBreakeLimit : false
-			 */
-			pageBreakeLimit : false
-		},
-		print :
-		{
-			/**
-			 * Document to print
-			 * @type Text
-			 * @default 'cke'
-			 * @example
-			 * document : 'page'
-			 */
-			document : 'cke'
-		}
-	}
 };
 