Index: /CKReleaser/trunk/includes/io.js
===================================================================
--- /CKReleaser/trunk/includes/io.js	(revision 2942)
+++ /CKReleaser/trunk/includes/io.js	(revision 2943)
@@ -7,4 +7,5 @@
 importPackage( com.ice.tar );
 
+importClass( java.io.BufferedReader );
 importClass( java.io.BufferedWriter );
 importClass( java.io.FileWriter );
@@ -21,10 +22,34 @@
 {
 	var txtExtensions = {
-		'' :0,
-		'txt' :1,
-		'js' :1,
-		'html' :1,
-		'css' :1,
-		'xml' :1
+		"" :0,
+		"afp":1,
+		"afpa":1,
+		"ascx":1,
+		"asp":1,
+		"aspx":1,
+		"bat":1,
+		"cfc":1,
+		"cfm":1,
+		"cgi":1,
+		"code":1,
+		"command":1,
+		"conf":1,
+		"css":1,
+		"dtd":1,
+		"htaccess":1,
+		"htc":1,
+		"htm":1,
+		"html":1,
+		"js":1,
+		"jsp":1,
+		"lasso":1,
+		"php":1,
+		"pl":1,
+		"py":1,
+		"readme":1,
+		"sample":1,
+		"sh":1,
+		"txt":1,
+		"xml":1
 	};
 
Index: /CKReleaser/trunk/includes/releaser.js
===================================================================
--- /CKReleaser/trunk/includes/releaser.js	(revision 2942)
+++ /CKReleaser/trunk/includes/releaser.js	(revision 2943)
@@ -66,5 +66,5 @@
 	};
 
-	function moveFiles()
+	function copyFiles()
 	{
 		for ( var i = 0 ; i < CKRELEASER.release.copy.length ; i++ )
@@ -73,8 +73,4 @@
 			var targetLocation = new File( CKRELEASER.releaseDir, CKRELEASER.release.copy[i].target );
 			CKRELEASER.io.copy( sourceLocation, targetLocation );
-			/**
-			 * TODO: Delete?
-			 */
-			//CKRELEASER.io.deleteDirectory( sourceLocation );
 		}
 	}
@@ -143,6 +139,19 @@
 				minifyFiles( new File( file, children[i] ) );
 		}
-		else if ( CKRELEASER.io.isTextFile( file.getName() ) )
-			minifyFile( file );
+		else
+		{
+			var ext = CKRELEASER.io.getExtension( file.getName() );
+
+			switch(ext)
+			{
+				case "css":
+				case "html":
+				case "js":
+				case "txt":
+				case "xml":
+					minifyFile( file );
+					break;
+			}
+		}
 	}
 
@@ -215,5 +224,19 @@
 		}
 	}
-
+		
+	function fixLineEndings( file )
+	{
+		if ( file.isDirectory() )
+		{
+			var children = file.list();
+			for ( var i = 0 ; i < children.length ; i++ )
+				fixLineEndings( new File( file, children[i] ) );
+		}
+		else
+		{
+			CKRELEASER.tools.fixLineEndings( file, true );
+		}
+	}
+	
 	CKRELEASER.releaser.prototype = {
 		loadDefinitionFile : function( filePath )
@@ -293,6 +316,6 @@
 			CKRELEASER.io.copy( sourceDir, releaseDir );
 
-			print( "\nMoving files to special destination...\n" );
-			moveFiles();
+			print( "\nCopying files to special destination...\n" );
+			copyFiles();
 
 			print( "\nPackaging CKEditor...\n" );
@@ -338,33 +361,7 @@
 
 			print( "\nFixing line endings...\n" );
-			if ( CKRELEASER.release.fixLineEnds )
-			{
-				var o = {
-					output :""
-				};
-
-				try
-				{
-					runCommand( "php", "tools/fixlineends/fixlineends.php", "--eolstripwhite", "--eofnewline", "--eofstripwhite",
-							"--nohidden", "--nosystem", CKRELEASER.releaseDir, o );
-				}
-				catch ( e )
-				{
-					if ( CKRELEASER.os == 'win' )
-					{
-						error = "Line endings has not been fixed due to PHP not found in your system. \nphp is not recognized as an internal or external command. Make sure that PHP is installed and the 'Path' environment variable is pointing to it.";
-					}
-					else
-					{
-						error = "Line endings has not been fixed due to PHP not found in your system. \nphp: command not found. Make sure that PHP is installed in your system and the PATH variable in your environment is pointing to it.";
-					}
-				}
-
-				if ( CKRELEASER.verbose )
-					print( o.output );
-			}
+			fixLineEndings( releaseDir );
 
 			print( "\nFixing byte-order mark in files...\n" );
-
 			fixByteOrderMark( new File( CKRELEASER.releaseDir ) );
 
Index: /CKReleaser/trunk/includes/tools.js
===================================================================
--- /CKReleaser/trunk/includes/tools.js	(revision 2942)
+++ /CKReleaser/trunk/includes/tools.js	(revision 2943)
@@ -8,5 +8,65 @@
 ( function()
 {
+	var regexLib = {
+		eol :Pattern.compile( '(?:\\x09|\\x20)+$' ),
+		eof :Pattern.compile( '(?:\\x09|\\x20|\\r|\\n)+$' )
+	};
+
+	var lineEnding = {
+		"cgi" :"\n",
+		"pl" :"\n",
+		"sh" :"\n",
+		"readme" :"\r\n",
+		"afp" :"\r\n",
+		"afpa" :"\r\n",
+		"ascx" :"\r\n",
+		"asp" :"\r\n",
+		"aspx" :"\r\n",
+		"bat" :"\r\n",
+		"cfc" :"\r\n",
+		"cfm" :"\r\n",
+		"code" :"\r\n",
+		"command" :"\r\n",
+		"conf" :"\r\n",
+		"css" :"\r\n",
+		"dtd" :"\r\n",
+		"htaccess" :"\r\n",
+		"htc" :"\r\n",
+		"htm" :"\r\n",
+		"html" :"\r\n",
+		"js" :"\r\n",
+		"jsp" :"\r\n",
+		"lasso" :"\r\n",
+		"php" :"\r\n",
+		"py" :"\r\n",
+		"sample" :"\r\n",
+		"txt" :"\r\n",
+		"xml" :"\r\n"
+	};
+
 	CKRELEASER.tools = {
+		fixLineEndings : function( file, stripWhiteSpace )
+		{
+			var buffer = new StringBuffer();
+			var inStream = new BufferedReader( new InputStreamReader( new FileInputStream( file ), "UTF-8" ) );
+			var line;
+
+			extension = CKRELEASER.io.getExtension( file.getName() );
+
+			if ( !lineEnding[extension] )
+				return;
+
+			while ( (line = inStream.readLine()) != null )
+			{
+				if ( stripWhiteSpace )
+				{
+					line = regexLib.eol.matcher( line ).replaceAll( "" );
+				}
+				buffer.append( line );
+				buffer.append( lineEnding[extension] );
+			}
+			CKRELEASER.io.saveFile( file, regexLib.eof.matcher( buffer.toString() ).replaceAll( lineEnding[extension] ) );
+		},
+
 		removeComments : function( text )
 		{
@@ -31,6 +91,8 @@
 					if ( sb.charAt( endIndex - 1 ) == '\\' )
 					{
-						// Looks like a comment to hide rules from IE Mac.
-						// Leave this comment, and the following one, alone...
+						/* 
+						 * Looks like a comment to hide rules from IE Mac.
+						 * Leave this comment, and the following one, alone...
+						 */
 						startIndex = endIndex + 2;
 						iemac = true;
@@ -43,14 +105,14 @@
 					else if ( !preserve )
 					{
-						//Remove new line character if there is nothing else after a comment
-						if (sb.charAt(endIndex+2)==13 && sb.charAt(endIndex+3)==10)
-							endIndex +=2;
-						else if (sb.charAt(endIndex+2)==10 && sb.charAt(endIndex+3)==13)
-							endIndex +=2;
-						else if (sb.charAt(endIndex+2)==13 && sb.charAt(endIndex+3)==13)
-							endIndex +=1;
-						else if (sb.charAt(endIndex+2)==10 && sb.charAt(endIndex+3)==10)
-							endIndex +=1;
-						
+						/* Remove new line character if there is nothing else after a comment */
+						if ( sb.charAt( endIndex + 2 ) == 13 && sb.charAt( endIndex + 3 ) == 10 )
+							endIndex += 2;
+						else if ( sb.charAt( endIndex + 2 ) == 10 && sb.charAt( endIndex + 3 ) == 13 )
+							endIndex += 2;
+						else if ( sb.charAt( endIndex + 2 ) == 13 && sb.charAt( endIndex + 3 ) == 13 )
+							endIndex += 1;
+						else if ( sb.charAt( endIndex + 2 ) == 10 && sb.charAt( endIndex + 3 ) == 10 )
+							endIndex += 1;
+
 						sb["delete"]( startIndex, endIndex + 2 );
 					}
@@ -61,5 +123,5 @@
 				}
 			}
-			
+
 			return sb.toString();
 		}
Index: /CKReleaser/trunk/test/_assets/lineendings/test.correct.sh
===================================================================
--- /CKReleaser/trunk/test/_assets/lineendings/test.correct.sh	(revision 2943)
+++ /CKReleaser/trunk/test/_assets/lineendings/test.correct.sh	(revision 2943)
@@ -0,0 +1,6 @@
+
+line1
+
+
+line2
+line3
Index: /CKReleaser/trunk/test/_assets/lineendings/test.correct.txt
===================================================================
--- /CKReleaser/trunk/test/_assets/lineendings/test.correct.txt	(revision 2943)
+++ /CKReleaser/trunk/test/_assets/lineendings/test.correct.txt	(revision 2943)
@@ -0,0 +1,1 @@
+line1
Index: /CKReleaser/trunk/test/_assets/lineendings/test.sh
===================================================================
--- /CKReleaser/trunk/test/_assets/lineendings/test.sh	(revision 2943)
+++ /CKReleaser/trunk/test/_assets/lineendings/test.sh	(revision 2943)
@@ -0,0 +1,10 @@
+         
+line1
+
+
+line2   		
+line3  		
+
+		
+
+
Index: /CKReleaser/trunk/test/_assets/lineendings/test.txt
===================================================================
--- /CKReleaser/trunk/test/_assets/lineendings/test.txt	(revision 2943)
+++ /CKReleaser/trunk/test/_assets/lineendings/test.txt	(revision 2943)
@@ -0,0 +1,1 @@
+line1
Index: /CKReleaser/trunk/test/_assets/lineendings/test_bom.correct.txt
===================================================================
--- /CKReleaser/trunk/test/_assets/lineendings/test_bom.correct.txt	(revision 2943)
+++ /CKReleaser/trunk/test/_assets/lineendings/test_bom.correct.txt	(revision 2943)
@@ -0,0 +1,2 @@
+﻿line1
+line2
Index: /CKReleaser/trunk/test/_assets/lineendings/test_bom.txt
===================================================================
--- /CKReleaser/trunk/test/_assets/lineendings/test_bom.txt	(revision 2943)
+++ /CKReleaser/trunk/test/_assets/lineendings/test_bom.txt	(revision 2943)
@@ -0,0 +1,4 @@
+﻿line1     			
+line2   		
+     
+			
Index: /CKReleaser/trunk/test/_assets/samples/ajax.correct.txt
===================================================================
--- /CKReleaser/trunk/test/_assets/samples/ajax.correct.txt	(revision 2942)
+++ /CKReleaser/trunk/test/_assets/samples/ajax.correct.txt	(revision 2943)
@@ -1,28 +1,15 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-	<meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
 	<title>Sample - CKEditor</title>
-	<script src="../ckeditor.js" type="text/javascript" xml:space="preserve"></script>
+	<meta content="text/html; charset=utf-8" http-equiv="content-type"/>
+<!-- CKReleaser %REMOVE_LINE%
+	<script type="text/javascript" src="../ckeditor.js"></script>
+CKReleaser %REMOVE_LINE% -->
+	<script src="../ckeditor_source.js" type="text/javascript" xml:space="preserve"></script> <!-- CKReleaser %REMOVE_LINE% -->
 <!--
 	## Uncomment this if loading the "basic" version.
@@ -133,5 +120,5 @@
 		</p>
 		<p id="copy">
-			Copyright © 2003-2008 Frederico Caldeira Knabben (<a href="http://www.fredck.com/" shape="rect">FredCK.com</a>)
+			Copyright © 2003-2009, <a href="http://cksource.com/" shape="rect">CKSource</a> - Frederico Knabben. All rights reserved.
 		</p>
 	</div>
Index: /CKReleaser/trunk/test/_assets/samples/ajax.html
===================================================================
--- /CKReleaser/trunk/test/_assets/samples/ajax.html	(revision 2942)
+++ /CKReleaser/trunk/test/_assets/samples/ajax.html	(revision 2943)
@@ -1,22 +1,6 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
 <html xmlns="http://www.w3.org/1999/xhtml">
Index: /CKReleaser/trunk/test/_assets/samples/divreplace.correct.txt
===================================================================
--- /CKReleaser/trunk/test/_assets/samples/divreplace.correct.txt	(revision 2942)
+++ /CKReleaser/trunk/test/_assets/samples/divreplace.correct.txt	(revision 2943)
@@ -1,28 +1,15 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-	<meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
 	<title>Sample - CKEditor</title>
-	<script src="../ckeditor.js" type="text/javascript" xml:space="preserve"></script>
+	<meta content="text/html; charset=utf-8" http-equiv="content-type"/>
+<!-- CKReleaser %REMOVE_LINE%
+	<script type="text/javascript" src="../ckeditor.js"></script>
+CKReleaser %REMOVE_LINE% -->
+	<script src="../ckeditor_source.js" type="text/javascript" xml:space="preserve"></script> <!-- CKReleaser %REMOVE_LINE% -->
 <!--
 	## Uncomment this if loading the "basic" version.
@@ -174,5 +161,5 @@
 		</p>
 		<p id="copy">
-			Copyright © 2003-2008 Frederico Caldeira Knabben (<a href="http://www.fredck.com/" shape="rect">FredCK.com</a>)
+			Copyright © 2003-2009, <a href="http://cksource.com/" shape="rect">CKSource</a> - Frederico Knabben. All rights reserved.
 		</p>
 	</div>
Index: /CKReleaser/trunk/test/_assets/samples/divreplace.html
===================================================================
--- /CKReleaser/trunk/test/_assets/samples/divreplace.html	(revision 2942)
+++ /CKReleaser/trunk/test/_assets/samples/divreplace.html	(revision 2943)
@@ -1,22 +1,6 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
 <html xmlns="http://www.w3.org/1999/xhtml">
Index: /CKReleaser/trunk/test/_assets/samples/index.correct.txt
===================================================================
--- /CKReleaser/trunk/test/_assets/samples/index.correct.txt	(revision 2942)
+++ /CKReleaser/trunk/test/_assets/samples/index.correct.txt	(revision 2943)
@@ -1,22 +1,6 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
 <html xmlns="http://www.w3.org/1999/xhtml">
@@ -49,5 +33,5 @@
 		</p>
 		<p id="copy">
-			Copyright &copy; 2003-2008 Frederico Caldeira Knabben (<a href="http://www.fredck.com/">FredCK.com</a>)
+			Copyright &copy; 2003-2009, <a href="http://cksource.com/">CKSource</a> - Frederico Knabben. All rights reserved.
 		</p>
 	</div>
Index: /CKReleaser/trunk/test/_assets/samples/index.html
===================================================================
--- /CKReleaser/trunk/test/_assets/samples/index.html	(revision 2942)
+++ /CKReleaser/trunk/test/_assets/samples/index.html	(revision 2943)
@@ -1,22 +1,6 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
 <html xmlns="http://www.w3.org/1999/xhtml">
@@ -49,5 +33,5 @@
 		</p>
 		<p id="copy">
-			Copyright &copy; 2003-2008 Frederico Caldeira Knabben (<a href="http://www.fredck.com/">FredCK.com</a>)
+			Copyright &copy; 2003-2009, <a href="http://cksource.com/">CKSource</a> - Frederico Knabben. All rights reserved.
 		</p>
 	</div>
Index: /CKReleaser/trunk/test/_assets/samples/sample.css
===================================================================
--- /CKReleaser/trunk/test/_assets/samples/sample.css	(revision 2942)
+++ /CKReleaser/trunk/test/_assets/samples/sample.css	(revision 2943)
@@ -1,22 +1,6 @@
 ﻿/*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 fieldset
Index: /CKReleaser/trunk/test/_assets/samples/sample.html
===================================================================
--- /CKReleaser/trunk/test/_assets/samples/sample.html	(revision 2942)
+++ /CKReleaser/trunk/test/_assets/samples/sample.html	(revision 2943)
@@ -1,28 +1,15 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 	<title>Sample - CKEditor</title>
-	<script type="text/javascript" src="../ckeditor_source.js"></script>
+	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
+<!-- CKReleaser %REMOVE_LINE%
+	<script type="text/javascript" src="../ckeditor.js"></script>
+CKReleaser %REMOVE_LINE% -->
+	<script type="text/javascript" src="../ckeditor_source.js"></script> <!-- CKReleaser %REMOVE_LINE% -->
 <!--
 	## Uncomment this if loading the "basic" version.
@@ -92,5 +79,5 @@
 		</p>
 		<p id="copy">
-			Copyright &copy; 2003-2008 Frederico Caldeira Knabben (<a href="http://www.fredck.com/">FredCK.com</a>)
+			Copyright &copy; 2003-2009, <a href="http://cksource.com/">CKSource</a> - Frederico Knabben. All rights reserved.
 		</p>
 	</div>
Index: /CKReleaser/trunk/test/test.js
===================================================================
--- /CKReleaser/trunk/test/test.js	(revision 2942)
+++ /CKReleaser/trunk/test/test.js	(revision 2943)
@@ -52,5 +52,5 @@
 			error( "Can't create temp directory: " + tempDir );
 
-		var tests = [ 'directives', 'skins', 'samples', 'bom' ];
+		var tests = [ 'directives', 'skins', 'samples', 'bom', 'lineendings' ];
 
 		for ( var i = 0 ; i < tests.length ; i++ )
@@ -255,4 +255,33 @@
 	}
 
+	function testLineEndings()
+	{
+		print( "\nTesting line endings\n" );
+		var testName, tempFile, correctFile, sampleFile;
+		var name = "lineendings";
+		var dir = new File( '_assets/lineendings' );
+		var dirList = dir.list();
+
+		for ( var i = 0 ; i < dirList.length ; i++ )
+		{
+			var f = new File( dir, dirList[i] );
+
+			if ( dirList[i].indexOf( ".correct." ) == -1 )
+				continue;
+
+			testName = dirList[i].replace( ".correct", "" );
+
+			sampleFile = new File( '_assets/' + name + '/' + testName );
+			correctFile = new File( '_assets/' + name + '/' + dirList[i] );
+			tempFile = new File( 'tmp/' + name + '/' + testName );
+
+			CKRELEASER.io.copy( sampleFile, tempFile );
+			CKRELEASER.tools.fixLineEndings( tempFile, true );
+
+			assertEquals( CKRELEASER.io.readFile( correctFile ), CKRELEASER.io.readFile( tempFile ),
+					'releaser.directives[' + testName + ']' );
+		}
+	}
+	
 	prepareTempDirs();
 	testDirectives();
@@ -261,4 +290,5 @@
 	testRemoveComments();
 	testBom();
+	testLineEndings();
 
 	print( '' );