Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedMessages.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedMessages.java	(revision 2929)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedMessages.java	(revision 2950)
@@ -65,6 +65,6 @@
 
 		if (in == null) {
-			logger.error("default_messages.properties not found");
-			throw new RuntimeException("default_messages.properties not found");
+			logger.error("{} not found", DEFAULT_FILENAME);
+			throw new RuntimeException(DEFAULT_FILENAME + " not found");
 		} else {
 			if (!(in instanceof BufferedInputStream))
@@ -74,8 +74,8 @@
 				defaultProperties.load(in);
 				in.close();
-				logger.debug("default_messages.properties loaded");
+				logger.debug("{} loaded", DEFAULT_FILENAME);
 			} catch (Exception e) {
-				logger.error("Error while processing default_messages.properties");
-				throw new RuntimeException("Error while processing default_messages.properties", e);
+				logger.error("Error while processing {}", DEFAULT_FILENAME);
+				throw new RuntimeException("Error while processing " + DEFAULT_FILENAME, e);
 			}
 		}
@@ -120,6 +120,5 @@
 
 			if (Utils.isEmpty(className))
-				logger
-						.error("Empty LocaleResolver implementation class name provided");
+				logger.error("Empty LocaleResolver implementation class name provided");
 			else
 				try {
@@ -163,5 +162,10 @@
 				properties.setProperty(key, rb.getString(key));
 			}
-		}
+			
+			logger.debug("Resource bundle for locale {} loaded", locale);
+		} else
+			logger.debug("No resource bundle for locale {} found, loading default bundle", locale);
+		
+		
 
 	}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/PropertiesLoader.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/PropertiesLoader.java	(revision 2929)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/PropertiesLoader.java	(revision 2950)
@@ -48,4 +48,6 @@
 	private static final Logger logger = LoggerFactory
 			.getLogger(PropertiesLoader.class);
+	private static final String DEFAULT_FILENAME = "default.properties";
+	private static final String LOCAL_PROPERTIES = "/fckeditor.properties";
 	private static Properties properties = new Properties();
 
@@ -54,9 +56,9 @@
 		// 1. load library defaults
 		InputStream in = PropertiesLoader.class
-				.getResourceAsStream("default.properties");
+				.getResourceAsStream(DEFAULT_FILENAME);
 
 		if (in == null) {
-			logger.error("default.properties not found");
-			throw new RuntimeException("default.properties not found");
+			logger.error("{} not found", DEFAULT_FILENAME);
+			throw new RuntimeException(DEFAULT_FILENAME + " not found");
 		} else {
 			if (!(in instanceof BufferedInputStream))
@@ -66,9 +68,9 @@
 				properties.load(in);
 				in.close();
-				logger.debug("default.properties loaded");
+				logger.debug("{} loaded", DEFAULT_FILENAME);
 			} catch (Exception e) {
-				logger.error("Error while processing default.properties");
+				logger.error("Error while processing {}", DEFAULT_FILENAME);
 				throw new RuntimeException(
-						"Error while processing default.properties", e);
+						"Error while processing " + DEFAULT_FILENAME, e);
 			}
 		}
@@ -76,8 +78,8 @@
 		// 2. load user defaults if present
 		InputStream in2 = PropertiesLoader.class
-				.getResourceAsStream("/fckeditor.properties");
+				.getResourceAsStream(LOCAL_PROPERTIES);
 
 		if (in2 == null) {
-			logger.info("fckeditor.properties not found");
+			logger.info("{} not found", LOCAL_PROPERTIES);
 		} else {
 
@@ -88,9 +90,9 @@
 				properties.load(in2);
 				in2.close();
-				logger.debug("fckeditor.properties loaded");
+				logger.debug("{} loaded", LOCAL_PROPERTIES);
 			} catch (Exception e) {
-				logger.error("Error while processing fckeditor.properties");
+				logger.error("Error while processing {}", LOCAL_PROPERTIES);
 				throw new RuntimeException(
-						"Error while processing fckeditor.properties", e);
+						"Error while processing " + LOCAL_PROPERTIES, e);
 			}
 