Index: FCKeditor.Java/trunk/LICENSE.txt
===================================================================
--- FCKeditor.Java/trunk/LICENSE.txt	(revision 3040)
+++ FCKeditor.Java/trunk/LICENSE.txt	(revision 3041)
@@ -1,4 +1,4 @@
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (C) 2003-2008 Frederico Caldeira Knabben
+Copyright (C) 2004-2009 Frederico Caldeira Knabben
 
 Licensed under the terms of any of the following licenses at your
Index: FCKeditor.Java/trunk/build.xml
===================================================================
--- FCKeditor.Java/trunk/build.xml	(revision 3040)
+++ FCKeditor.Java/trunk/build.xml	(revision 3041)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2004-2009 Frederico Caldeira Knabben
  * 
  * == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/connector.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/connector_servlet.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/connector_servlet.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/connector_servlet.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/demo.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/download.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/download.apt.vm	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/download.apt.vm	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/ext_overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/index.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/index.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/index.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/installation.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/installation.apt.vm	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/installation.apt.vm	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/int_overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/int_overview.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/int_overview.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/localization.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/properties.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/taglibrary.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/taglibrary.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/taglibrary.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/useraction.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/useraction.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/useraction.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/userpathbuilder.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/userpathbuilder.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/userpathbuilder.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/apt/velocity_freemarker.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/velocity_freemarker.apt	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/apt/velocity_freemarker.apt	(revision 3041)
@@ -1,4 +1,4 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ Copyright (C) 2004-2009 Frederico Caldeira Knabben
 ~~
 ~~ == BEGIN LICENSE ==
Index: FCKeditor.Java/trunk/src/site/resources/css/site.css
===================================================================
--- FCKeditor.Java/trunk/src/site/resources/css/site.css	(revision 3040)
+++ FCKeditor.Java/trunk/src/site/resources/css/site.css	(revision 3041)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * Copyright (C) 2004-2009 Frederico Caldeira Knabben
  *
  * == BEGIN LICENSE ==