Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java	(revision 3041)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java	(revision 3060)
@@ -44,5 +44,5 @@
 	private FCKeditorConfig config;
 	private String instanceName;
-	private String value = new String();
+	private String value = "";
 	private HttpServletRequest request;
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/impl/AbstractLocalFileSystemConnector.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/impl/AbstractLocalFileSystemConnector.java	(revision 3041)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/impl/AbstractLocalFileSystemConnector.java	(revision 3060)
@@ -61,5 +61,5 @@
 public abstract class AbstractLocalFileSystemConnector implements Connector {
 
-	protected static ServletContext servletContext;
+	protected ServletContext servletContext;
 
 	/* (non-Javadoc)
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/impl/ContextConnector.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/impl/ContextConnector.java	(revision 3041)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/impl/ContextConnector.java	(revision 3060)
@@ -61,5 +61,5 @@
 	 */
 	public void init(final ServletContext servletContext) throws Exception {
-		AbstractLocalFileSystemConnector.servletContext = servletContext;
+		this.servletContext = servletContext;
 		String defaultAbsolutePath = getRealUserFilesAbsolutePath(PropertiesLoader
 				.getUserFilesPath());
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/impl/LocalConnector.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/impl/LocalConnector.java	(revision 3041)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/impl/LocalConnector.java	(revision 3060)
@@ -53,5 +53,5 @@
 	 */
 	public void init(final ServletContext servletContext) throws Exception {
-		AbstractLocalFileSystemConnector.servletContext = servletContext;
+		this.servletContext = servletContext;
 	}
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/ConnectorHandler.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/ConnectorHandler.java	(revision 3041)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/ConnectorHandler.java	(revision 3060)
@@ -50,5 +50,5 @@
 				connector = (Connector) clazz.newInstance();
 				logger.info("Connector initialized to {}", className);
-			} catch (Exception e) {
+			} catch (Throwable e) {
 				logger.error("Connector implementation {} could not be instantiated", className);
 				// TODO should be throw a RuntimeException here
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedMessages.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedMessages.java	(revision 3041)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedMessages.java	(revision 3060)
@@ -126,5 +126,5 @@
 					localeResolver = (LocaleResolver) clazz.newInstance();
 					logger.info("LocaleResolver initialized to {}", className); //$NON-NLS-1$
-				} catch (Exception e) {
+				} catch (Throwable e) {
 					logger.error("LocaleResolver implementation {} could not be instantiated", className); //$NON-NLS-1$
 					// TODO should be throw a RuntimeException here
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java	(revision 3041)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java	(revision 3060)
@@ -55,5 +55,5 @@
 				userAction = (UserAction) clazz.newInstance();
 				logger.info("UserAction initialized to {}", className);
-			} catch (Exception e) {
+			} catch (Throwable e) {
 				logger.error("UserAction implementation {} could not be instantiated", className);
 				// TODO should be throw a RuntimeException here
@@ -70,5 +70,5 @@
 				userPathBuilder = (UserPathBuilder) clazz.newInstance();
 				logger.info("UserPathBuilder initialized to {}", className);
-			} catch (Exception e) {
+			} catch (Throwable e) {
 				logger.error("UserPathBuilder implementation {} could not be instantiated", className);
 				// TODO should be throw a RuntimeException here
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/Compatibility.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/Compatibility.java	(revision 3041)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/Compatibility.java	(revision 3060)
@@ -47,9 +47,9 @@
 		// IE 5.5+, check special keys like 'Opera' and 'mac', because there are some
 		// other browsers, containing 'MSIE' in there agent string!
-		if (userAgentStr.indexOf("opera") < 0 && userAgentStr.indexOf("mac") < 0) {
-			if (getBrowserVersion(userAgentStr, ".*msie ([\\d]+.[\\d]+).*") >= 5.5f)
-				return true;
-		}
-		
+		if (userAgentStr.indexOf("opera") < 0
+				&& userAgentStr.indexOf("mac") < 0
+				&& getBrowserVersion(userAgentStr, ".*msie ([\\d]+.[\\d]+).*") >= 5.5f)
+			return true;
+				
 		// for all gecko based browsers
 		if (getBrowserVersion(userAgentStr, ".*rv:([\\d]+.[\\d]+).*") > 1.7f)
Index: FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/response/UploadResponseTest.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/response/UploadResponseTest.java	(revision 3041)
+++ FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/response/UploadResponseTest.java	(revision 3060)
@@ -32,7 +32,7 @@
 		UploadResponse actual = new UploadResponse(
 				UploadResponse.EN_INVALID_FILE_TYPE_ERROR);
-		String expected = new String("<script type=\"text/javascript\">\n"
+		String expected = "<script type=\"text/javascript\">\n"
 				+ "(function(){var d=document.domain;while (true){try{var A=window.parent.document.domain;break;}catch(e) {};d=d.replace(/.*?(?:\\.|$)/,'');if (d.length==0) break;try{document.domain=d;}catch (e){break;}}})();\n"
-				+ "window.parent.OnUploadCompleted(202);\n</script>");
+				+ "window.parent.OnUploadCompleted(202);\n</script>";
 		assertEquals(expected, actual.toString());
 	}
@@ -41,7 +41,7 @@
 	public void fourArguments() throws Exception {
 		UploadResponse actual = new UploadResponse(UploadResponse.EN_OK,"/fckeditor-java/userfiles/image/fredck.jpg");
-		String expected = new String("<script type=\"text/javascript\">\n"
+		String expected = "<script type=\"text/javascript\">\n"
 				+ "(function(){var d=document.domain;while (true){try{var A=window.parent.document.domain;break;}catch(e) {};d=d.replace(/.*?(?:\\.|$)/,'');if (d.length==0) break;try{document.domain=d;}catch (e){break;}}})();\n"
-				+ "window.parent.OnUploadCompleted(0,'/fckeditor-java/userfiles/image/fredck.jpg');\n</script>");
+				+ "window.parent.OnUploadCompleted(0,'/fckeditor-java/userfiles/image/fredck.jpg');\n</script>";
 		assertEquals(expected, actual.toString());
 	}
@@ -50,7 +50,7 @@
 	public void renamedFile() throws Exception {
 		UploadResponse actual = new UploadResponse(UploadResponse.EN_FILE_RENAMED_WARNING,"/fckeditor-java/userfiles/image/hacked_php.txt","hacked_php.txt");
-		String expected = new String("<script type=\"text/javascript\">\n"
+		String expected = "<script type=\"text/javascript\">\n"
 				+ "(function(){var d=document.domain;while (true){try{var A=window.parent.document.domain;break;}catch(e) {};d=d.replace(/.*?(?:\\.|$)/,'');if (d.length==0) break;try{document.domain=d;}catch (e){break;}}})();\n"
-				+ "window.parent.OnUploadCompleted(201,'/fckeditor-java/userfiles/image/hacked_php.txt','hacked_php.txt');\n</script>");
+				+ "window.parent.OnUploadCompleted(201,'/fckeditor-java/userfiles/image/hacked_php.txt','hacked_php.txt');\n</script>";
 		assertEquals(expected, actual.toString());
 	}
@@ -60,7 +60,7 @@
 		UploadResponse actual = new UploadResponse(UploadResponse.EN_CUSTOM_ERROR);
 		actual.setCustomMessage("some error");
-		String expected = new String("<script type=\"text/javascript\">\n"
+		String expected = "<script type=\"text/javascript\">\n"
 				+ "(function(){var d=document.domain;while (true){try{var A=window.parent.document.domain;break;}catch(e) {};d=d.replace(/.*?(?:\\.|$)/,'');if (d.length==0) break;try{document.domain=d;}catch (e){break;}}})();\n"
-				+ "window.parent.OnUploadCompleted(1,'','','some error');\n</script>");
+				+ "window.parent.OnUploadCompleted(1,'','','some error');\n</script>";
 		assertEquals(expected, actual.toString());
 	}
@@ -70,7 +70,7 @@
 	public void nullArguments() throws Exception {
 		UploadResponse actual = new UploadResponse(UploadResponse.EN_CUSTOM_ERROR,null,null,null);
-		String expected = new String("<script type=\"text/javascript\">\n"
+		String expected = "<script type=\"text/javascript\">\n"
 				+ "(function(){var d=document.domain;while (true){try{var A=window.parent.document.domain;break;}catch(e) {};d=d.replace(/.*?(?:\\.|$)/,'');if (d.length==0) break;try{document.domain=d;}catch (e){break;}}})();\n"
-				+ "window.parent.OnUploadCompleted(1,'','','');\n</script>");
+				+ "window.parent.OnUploadCompleted(1,'','','');\n</script>";
 		assertEquals(expected, actual.toString());
 	}