Index: FCKeditor/trunk/_whatsnew.html
===================================================================
--- FCKeditor/trunk/_whatsnew.html	(revision 3037)
+++ FCKeditor/trunk/_whatsnew.html	(revision 3232)
@@ -43,5 +43,10 @@
 		Fixed Bugs:</p>
 	<ul>
-		<li></li>
+		<li>Language file updates for the following languages:
+			<ul>
+				<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2849">#2849</a>] Lithuanian</li>
+			</ul>
+		</li>
+
 	</ul>
 	<p>
Index: FCKeditor/trunk/editor/lang/_translationstatus.txt
===================================================================
--- FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 3037)
+++ FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 3232)
@@ -55,5 +55,5 @@
 km.js      Found: 370   Missing: 58
 ko.js      Found: 390   Missing: 38
-lt.js      Found: 376   Missing: 52
+lt.js      Found: 428   Missing: 0
 lv.js      Found: 381   Missing: 47
 mn.js      Found: 411   Missing: 17
Index: FCKeditor/trunk/editor/lang/lt.js
===================================================================
--- FCKeditor/trunk/editor/lang/lt.js	(revision 3037)
+++ FCKeditor/trunk/editor/lang/lt.js	(revision 3232)
@@ -45,7 +45,7 @@
 InsertLink			: "Įterpti/taisyti nuorodą",
 RemoveLink			: "Panaikinti nuorodą",
-VisitLink			: "Open Link",	//MISSING
+VisitLink			: "Atidaryti nuorodą",
 Anchor				: "Įterpti/modifikuoti žymę",
-AnchorDelete		: "Remove Anchor",	//MISSING
+AnchorDelete		: "Naikinti žymę",
 InsertImageLbl		: "Vaizdas",
 InsertImage			: "Įterpti/taisyti vaizdą",
@@ -73,8 +73,8 @@
 DecreaseIndent		: "Sumažinti įtrauką",
 IncreaseIndent		: "Padidinti įtrauką",
-Blockquote			: "Blockquote",	//MISSING
-CreateDiv			: "Create Div Container",	//MISSING
-EditDiv				: "Edit Div Container",	//MISSING
-DeleteDiv			: "Remove Div Container",	//MISSING
+Blockquote			: "Citata",
+CreateDiv			: "Sukurti Div elementą",
+EditDiv				: "Reaguoti Div elementą",
+DeleteDiv			: "Šalinti Div elementą",
 Undo				: "Atšaukti",
 Redo				: "Atstatyti",
@@ -109,26 +109,26 @@
 ImageButton		: "Vaizdinis mygtukas",
 
-FitWindow		: "Maximize the editor size",	//MISSING
-ShowBlocks		: "Show Blocks",	//MISSING
+FitWindow		: "Padidinti redaktorių",
+ShowBlocks		: "Rodyti blokus",
 
 // Context Menu
 EditLink			: "Taisyti nuorodą",
-CellCM				: "Cell",	//MISSING
-RowCM				: "Row",	//MISSING
-ColumnCM			: "Column",	//MISSING
-InsertRowAfter		: "Insert Row After",	//MISSING
-InsertRowBefore		: "Insert Row Before",	//MISSING
+CellCM				: "Langelis",
+RowCM				: "Eilutė",
+ColumnCM			: "Stulpelis",
+InsertRowAfter		: "Įterpti eilutę po",
+InsertRowBefore		: "Įterpti eilutę prieš",
 DeleteRows			: "Šalinti eilutes",
-InsertColumnAfter	: "Insert Column After",	//MISSING
-InsertColumnBefore	: "Insert Column Before",	//MISSING
+InsertColumnAfter	: "Įterpti stulpelį po",
+InsertColumnBefore	: "Įterpti stulpelį prieš",
 DeleteColumns		: "Šalinti stulpelius",
-InsertCellAfter		: "Insert Cell After",	//MISSING
-InsertCellBefore	: "Insert Cell Before",	//MISSING
+InsertCellAfter		: "Įterpti langelį po",
+InsertCellBefore	: "Įterpti langelį prieš",
 DeleteCells			: "Šalinti langelius",
 MergeCells			: "Sujungti langelius",
-MergeRight			: "Merge Right",	//MISSING
-MergeDown			: "Merge Down",	//MISSING
-HorizontalSplitCell	: "Split Cell Horizontally",	//MISSING
-VerticalSplitCell	: "Split Cell Vertically",	//MISSING
+MergeRight			: "Sujungti su dešine",
+MergeDown			: "Sujungti su apačia",
+HorizontalSplitCell	: "Skaidyti langelį horizontaliai",
+VerticalSplitCell	: "Skaidyti langelį vertikaliai",
 TableDelete			: "Šalinti lentelę",
 CellProperties		: "Langelio savybės",
@@ -162,5 +162,5 @@
 BrowseServerBlocked : "Neįmanoma atidaryti naujo naršyklės lango. Įsitikinkite, kad iškylančių langų blokavimo programos neveiksnios.",
 DialogBlocked		: "Neįmanoma atidaryti dialogo lango. Įsitikinkite, kad iškylančių langų blokavimo programos neveiksnios.",
-VisitLinkBlocked	: "It was not possible to open a new window. Make sure all popup blockers are disabled.",	//MISSING
+VisitLinkBlocked	: "Neįmanoma atidaryti naujo lango. Įsitikinkite, kad iškylančių langų blokavimo programos neveiksnios.",
 
 // Dialogs
@@ -277,5 +277,5 @@
 DlnLnkMsgNoEMail	: "Prašome įvesti el.pašto adresą",
 DlnLnkMsgNoAnchor	: "Prašome pasirinkti žymę",
-DlnLnkMsgInvPopName	: "The popup name must begin with an alphabetic character and must not contain spaces",	//MISSING
+DlnLnkMsgInvPopName	: "Iššokančio lango pavadinimas privalo prasidėti lotyniška raide ir negali turėti tarpų",
 
 // Color Dialog
@@ -309,9 +309,9 @@
 DlgTableCaption		: "Antraštė",
 DlgTableSummary		: "Santrauka",
-DlgTableHeaders		: "Headers",	//MISSING
-DlgTableHeadersNone		: "None",	//MISSING
-DlgTableHeadersColumn	: "First column",	//MISSING
-DlgTableHeadersRow		: "First Row",	//MISSING
-DlgTableHeadersBoth		: "Both",	//MISSING
+DlgTableHeaders		: "Antraštės",
+DlgTableHeadersNone		: "Nėra",
+DlgTableHeadersColumn	: "Pirmas stulpelis",
+DlgTableHeadersRow		: "Pirma eilutė",
+DlgTableHeadersBoth		: "Abu",
 
 // Table Cell Dialog
@@ -336,7 +336,7 @@
 DlgCellVerAlignBottom	: "Apačią",
 DlgCellVerAlignBaseline	: "Apatinę liniją",
-DlgCellType		: "Cell Type",	//MISSING
-DlgCellTypeData		: "Data",	//MISSING
-DlgCellTypeHeader	: "Header",	//MISSING
+DlgCellType		: "Langelio tipas",
+DlgCellTypeData		: "Duomenys",
+DlgCellTypeHeader	: "Antraštė",
 DlgCellRowSpan		: "Eilučių apjungimas",
 DlgCellCollSpan		: "Stulpelių apjungimas",
@@ -346,5 +346,5 @@
 
 // Find and Replace Dialog
-DlgFindAndReplaceTitle	: "Find and Replace",	//MISSING
+DlgFindAndReplaceTitle	: "Surasti ir pakeisti",
 
 // Find Dialog
@@ -369,6 +369,6 @@
 PasteFromWord	: "Įdėti iš Word",
 
-DlgPasteMsg2	: "Žemiau esančiame įvedimo lauke įdėkite tekstą, naudodami klaviatūrą (<STRONG>Ctrl+V</STRONG>) ir spūstelkite mygtuką <STRONG>OK</STRONG>.",
-DlgPasteSec		: "Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.",	//MISSING
+DlgPasteMsg2	: "Žemiau esančiame įvedimo lauke įdėkite tekstą, naudodami klaviatūrą (<STRONG>Ctrl+V</STRONG>) ir paspauskite mygtuką <STRONG>OK</STRONG>.",
+DlgPasteSec		: "Dėl jūsų naršyklės saugumo nustatymų, redaktorius negali tiesiogiai pasiekti laikinosios atminties. Jums reikia nukopijuoti dar kartą į šį langą.",
 DlgPasteIgnoreFont		: "Ignoruoti šriftų nustatymus",
 DlgPasteRemoveStyles	: "Pašalinti stilių nustatymus",
@@ -406,7 +406,7 @@
 DlgButtonText		: "Tekstas (Reikšmė)",
 DlgButtonType		: "Tipas",
-DlgButtonTypeBtn	: "Button",	//MISSING
-DlgButtonTypeSbm	: "Submit",	//MISSING
-DlgButtonTypeRst	: "Reset",	//MISSING
+DlgButtonTypeBtn	: "Mygtukas",
+DlgButtonTypeSbm	: "Siųsti",
+DlgButtonTypeRst	: "Išvalyti",
 
 // Checkbox and Radio Button Dialogs
@@ -457,5 +457,5 @@
 BulletedListProp	: "Suženklinto sąrašo savybės",
 NumberedListProp	: "Numeruoto sąrašo savybės",
-DlgLstStart			: "Start",	//MISSING
+DlgLstStart			: "Pradėti nuo",
 DlgLstType			: "Tipas",
 DlgLstTypeCircle	: "Apskritimas",
@@ -480,13 +480,13 @@
 DlgDocLangCode		: "Kalbos kodas",
 DlgDocCharSet		: "Simbolių kodavimo lentelė",
-DlgDocCharSetCE		: "Central European",	//MISSING
-DlgDocCharSetCT		: "Chinese Traditional (Big5)",	//MISSING
-DlgDocCharSetCR		: "Cyrillic",	//MISSING
-DlgDocCharSetGR		: "Greek",	//MISSING
-DlgDocCharSetJP		: "Japanese",	//MISSING
-DlgDocCharSetKR		: "Korean",	//MISSING
-DlgDocCharSetTR		: "Turkish",	//MISSING
-DlgDocCharSetUN		: "Unicode (UTF-8)",	//MISSING
-DlgDocCharSetWE		: "Western European",	//MISSING
+DlgDocCharSetCE		: "Centrinės Europos",
+DlgDocCharSetCT		: "Tradicinės kinų (Big5)",
+DlgDocCharSetCR		: "Kirilica",
+DlgDocCharSetGR		: "Graikų",
+DlgDocCharSetJP		: "Japonų",
+DlgDocCharSetKR		: "Korėjiečių",
+DlgDocCharSetTR		: "Turkų",
+DlgDocCharSetUN		: "Unikodas (UTF-8)",
+DlgDocCharSetWE		: "Vakarų Europos",
 DlgDocCharSetOther	: "Kita simbolių kodavimo lentelė",
 
@@ -518,17 +518,17 @@
 DlgTemplatesLoading	: "Įkeliamas šablonų sąrašas. Prašome palaukti...",
 DlgTemplatesNoTpl	: "(Šablonų sąrašas tuščias)",
-DlgTemplatesReplace	: "Replace actual contents",	//MISSING
+DlgTemplatesReplace	: "Pakeisti dabartinį turinį pasirinktu šablonu",
 
 // About Dialog
 DlgAboutAboutTab	: "Apie",
 DlgAboutBrowserInfoTab	: "Naršyklės informacija",
-DlgAboutLicenseTab	: "License",	//MISSING
+DlgAboutLicenseTab	: "Licenzija",
 DlgAboutVersion		: "versija",
 DlgAboutInfo		: "Papildomą informaciją galima gauti",
 
 // Div Dialog
-DlgDivGeneralTab	: "General",	//MISSING
-DlgDivAdvancedTab	: "Advanced",	//MISSING
-DlgDivStyle		: "Style",	//MISSING
-DlgDivInlineStyle	: "Inline Style"	//MISSING
+DlgDivGeneralTab	: "Bendros savybės",
+DlgDivAdvancedTab	: "Papildomos savybės",
+DlgDivStyle		: "Stilius",
+DlgDivInlineStyle	: "Stilius kode"
 };